buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rafal Rusin (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (BUILDR-348) Buildr fails on windows with jruby and ODE 1.X
Date Thu, 19 Nov 2009 15:51:39 GMT

     [ https://issues.apache.org/jira/browse/BUILDR-348?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Rafal Rusin resolved BUILDR-348.
--------------------------------

    Resolution: Fixed

Your outstanding fix worked :-)
Thanks Alex

> Buildr fails on windows with jruby and ODE 1.X
> ----------------------------------------------
>
>                 Key: BUILDR-348
>                 URL: https://issues.apache.org/jira/browse/BUILDR-348
>             Project: Buildr
>          Issue Type: Bug
>          Components: JRuby
>    Affects Versions: 1.3.5
>         Environment: Windows XP
>            Reporter: Rafal Rusin
>
> Taking Apache ODE (rev. https://svn.apache.org/repos/asf/ode/branches/APACHE_ODE_1.X@881749)
> And running gives:
> buildr _1.3.5_ clean test=no
> C:/Programs/jruby-1.4.0/lib/ruby/site_ruby/shared/ffi/ffi.rb:113:in `create_invoker':
Function 'system' not found in [current process] (FFI::NotFoundError)
>        from C:/Programs/jruby-1.4.0/lib/ruby/site_ruby/shared/ffi/library.rb:74:in `attach_function'
>        from C:/Programs/jruby-1.4.0/lib/ruby/site_ruby/shared/ffi/library.rb:72:in `each'
>        from C:/Programs/jruby-1.4.0/lib/ruby/site_ruby/shared/ffi/library.rb:72:in `attach_function'
>        from C:/Programs/jruby-1.4.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr/core/util.rb:410
>        from C:/Programs/jruby-1.4.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr/core/util.rb:31:in
`require'
>        from C:/Programs/jruby-1.4.0/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
>        from C:/Programs/jruby-1.4.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr/core/common.rb:18
>        from C:/Programs/jruby-1.4.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr/core/common.rb:31:in
`require'
>         ... 7 levels...
>        from C:/Programs/jruby-1.4.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/bin/buildr:18
>        from C:/Programs/jruby-1.4.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/bin/buildr:19:in
`load'
> On Linux, it works fine. 
> Any ideas?
> Regards

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message